MyGUI_Singleton.h File Reference
`#include "MyGUI_Diagnostic.h"`

Go to the source code of this file.

## Data Structures

class | MyGUI::Singleton< T >
class | MyGUI::SingletonHolder< T >

## Namespaces

namespace | MyGUI

## Macros

#define | MYGUI_SINGLETON_DECLARATION(ClassName)
#define | MYGUI_SINGLETON_DEFINITION(ClassName)

## Macro Definition Documentation

## MYGUI_SINGLETON_DECLARATION

#define MYGUI_SINGLETON_DECLARATION | ( |  | ClassName | ) |

Value:
private: \
friend MyGUI::SingletonHolder<ClassName>; \
MyGUI::SingletonHolder<ClassName> mSingletonHolder; \
void initialiseSingleton(); \
void shutdownSingleton(); \
\
public: \
static ClassName& getInstance(); \
static ClassName* getInstancePtr(); \
static std::string_view getClassTypeName(); \
ClassName(const ClassName&) = delete; \
ClassName& operator=(const ClassName&) = delete
MyGUI::SingletonHolder
Definition MyGUI_Singleton.h:96

Definition at line 112 of file MyGUI_Singleton.h.

## MYGUI_SINGLETON_DEFINITION

#define MYGUI_SINGLETON_DEFINITION | ( |  | ClassName | ) |

Definition at line 126 of file MyGUI_Singleton.h.